MVN

org.bouncycastle : bcpg-jdk15to18

Maven & Gradle

Sep 29, 2022
6 usages
1k stars

Bouncy Castle OpenPGP API · The Bouncy Castle Java API for handling the OpenPGP protocol. This jar contains the OpenPGP API for JDK 1.5 to JDK 1.8. The APIs can be used in conjunction with a JCE/JCA provider such as the one provided with the Bouncy Castle Cryptography APIs.

<dependency>
    <groupId>org.bouncycastle</groupId>
    <artifactId>bcpg-jdk15to18</artifactId>
    <version>1.72</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of org.bouncycastle : bcpg-jdk15to18 to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 1.72

All Versions

Choose a version of org.bouncycastle : bcpg-jdk15to18 to add to Maven or Gradle - All Versions:

  • Version Updated
  • bcpg-jdk15to18-1.72

    Sep 29, 2022
  • bcpg-jdk15to18-1.71

    Apr 06, 2022
  • bcpg-jdk15to18-1.70

    Dec 01, 2021
  • bcpg-jdk15to18-1.69

    Jun 10, 2021
  • bcpg-jdk15to18-1.68

    Dec 23, 2020
  • bcpg-jdk15to18-1.67

    Nov 01, 2020
  • bcpg-jdk15to18-1.66

    Jul 08, 2020
  • bcpg-jdk15to18-1.65

    Apr 06, 2020
  • bcpg-jdk15to18-1.64

    Oct 12, 2019
  • bcpg-jdk15to18-1.63

    Sep 11, 2019

How to add a dependency to Maven

Add the following org.bouncycastle : bcpg-jdk15to18 maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>org.bouncycastle</groupId>
    <artifactId>bcpg-jdk15to18</artifactId>
    <version>1.72</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following org.bouncycastle : bcpg-jdk15to18 gradle dependency to your build.gradle file:

implementation 'org.bouncycastle:bcpg-jdk15to18:1.72'

Gradle Kotlin DSL: Add the following org.bouncycastle : bcpg-jdk15to18 gradle kotlin dependency to your build.gradle.kts file:

implementation("org.bouncycastle:bcpg-jdk15to18:1.72")

How to add a dependency to SBT Scala

SBT Scala: Add the following org.bouncycastle : bcpg-jdk15to18 sbt scala dependency to your build.sbt file:

libraryDependencies += "org.bouncycastle" % "bcpg-jdk15to18" % "1.72"